Tensorflow之环境版本匹配问题

相信很多同学在用tensorflow的时候,都被环境折磨得不要不要的…只要有某一个包不匹配,就会出现运行错误……版本高了低了都可能出现问题……(真的是恶心)

1 tensorflow与pip包对应关系

万幸,有人把环境做了一个系统的整理,只需要找到你安装的tensorflow版本,就可以看到你需要匹配的其它包的版本信息

链接是:https://docs.floydhub.com/guides/tensorflow/

比如你要安装tensorflow-1.14,你可以看到其它python包的版本信息如下

absl-py==0.8.0
annoy==1.16.0
args==0.1.0
astor==0.8.0
atari-py==0.2.6
attrs==19.1.0
backcall==0.1.0
bleach==3.0.2
blis==0.2.4
box2d-py==2.3.8
cachetools==3.1.1
certifi==2019.6.16
cffi==1.12.3  (GPU machines)
chardet==3.0.4
click==6.7
clint==0.5.1
cloudpickle==1.2.1  (GPU machines)
cudf-cuda92==0.6.1  (GPU machines)
cuml-cuda92==0.6.1  (GPU machines)
cupy==5.1.0         (GPU machines)
cupy-cuda92==6.3.0  (GPU machines)
cycler==0.10.0
cymem==2.0.2
Cython==0.29.2
cytoolz==0.10.0
decorator==4.3.0
defusedxml==0.5.0   (GPU machines)
dlib==19.17.0
entrypoints==0.2.3
fastrlock==0.4  (GPU machines)
Flask==1.1.0
floyd-cli==0.11.17
funcsigs==1.0.2
future==0.17.1
gast==0.2.2
google-pasta==0.1.7
grpcio==1.23.0
gym==0.14.0
gym-retro==0.7.0
h5py==2.9.0
idna==2.8
imageio==2.5.0
importlib-metadata==0.8
incremental==17.5.0
ipykernel==5.1.0
ipython==7.2.0
ipython-genutils==0.2.0
ipywidgets==7.4.2
itsdangerous==1.1.0
jedi==0.13.2
jellyfish==0.6.1
Jinja2==2.10.1
joblib==0.13.2
json5==0.8.5
jsonschema==3.0.2
jupyter==1.0.0
jupyter-client==5.2.4
jupyter-console==6.0.0
jupyter-core==4.4.0
jupyterlab==1.0.9
jupyterlab-server==1.0.6
kaggle==1.5.5
Keras==2.2.4
Keras-Applications==1.0.8
Keras-Preprocessing==1.1.0
kiwisolver==1.0.1
llvmlite==0.29.0  (GPU machines)
Markdown==3.1.1
MarkupSafe==1.1.0
marshmallow==2.20.2
matplotlib==3.0.2
menpo==0.9.2
mistune==0.8.4
mock==3.0.5
mpmath==1.1.0
murmurhash==1.0.2
nbconvert==5.4.0
nbformat==4.4.0
networkx==2.3
nltk==3.4.5
notebook==5.6.0
numba==0.41.0  (GPU machines)
numpy==1.15.4
nvstrings-cuda92==0.3.0.post1  (GPU machines)
opencv-contrib-python==3.4.0.12
opencv-python==4.1.0.25
pandas==0.23.4
pandocfilters==1.4.2
parso==0.3.1
path.py==11.5.0
pathlib2==2.3.4
pbr==5.4.2
pexpect==4.6.0
pickleshare==0.7.5
Pillow==5.4.0
plac==0.9.6
plotly==4.1.0
preshed==2.0.1
prometheus-client==0.5.0
prompt-toolkit==2.0.7
protobuf==3.9.1
ptyprocess==0.6.0
pyarrow==0.12.1  (GPU machines)
pycparser==2.19  (GPU machines)
pydot==1.4.1
pyemd==0.5.1
pyglet==1.3.2
Pygments==2.3.1
pynvrtc==9.2
PyOpenGL==3.1.0
PyOpenGL-accelerate==3.1.0
pyparsing==2.3.0
Pyphen==0.9.5
pyrsistent==0.15.4
python-dateutil==2.7.5
python-slugify==3.0.3
pytz==2018.7
PyWavelets==1.0.3
PyYAML==3.13
pyzmq==17.1.2
qtconsole==4.4.3
raven==6.10.0
requests==2.22.0
requests-toolbelt==0.9.1
retrowrapper==0.3.0
retrying==1.3.3
scikit-image==0.15.0
scikit-learn==0.20.2
scikit-umfpack==0.3.2
scipy==1.2.0
seaborn==0.9.0
Send2Trash==1.5.0
six==1.12.0
sklearn==0.0
spacy==2.1.8
srsly==0.1.0
sympy==1.3
tabulate==0.8.3
tensorboard==1.14.0
tensorflow==1.14.0
tensorflow-estimator==1.14.0
termcolor==1.1.0
terminado==0.8.1
testpath==0.4.2
text-unidecode==1.2
textacy==0.8.0
tflearn==0.3.2
thinc==7.0.8
toolz==0.10.0
tornado==5.1.1
tqdm==4.35.0
traitlets==4.3.2
urllib3==1.24.3
uWSGI==2.0.18
virtualenv==16.2.0
wasabi==0.2.2
wcwidth==0.1.7
webencodings==0.5.1
Werkzeug==0.15.5
widgetsnbextension==3.4.2
wrapt==1.11.2
xgboost==0.81
zipp==0.3.3  (GPU machines)
zmq==0.0.0

这样我们就可以根据这些信息来安装其它包了,减少入坑次数……

2 tensorflow与keras对应关系

链接:https://docs.floydhub.com/guides/environments/

FrameworkEnv name (--env parameter)DescriptionDocker ImagePackages and Nvidia Settings
TensorFlow 2.2tensorflow-2.2TensorFlow 2.2.0 + Keras 2.3.1 on Python 3.7.floydhub/tensorflowTensorFlow-2.2
TensorFlow 2.1tensorflow-2.1TensorFlow 2.1.0 + Keras 2.3.1 on Python 3.6.floydhub/tensorflowTensorFlow-2.1
TensorFlow 2.0tensorflow-2.0TensorFlow 2.0.0 + Keras 2.3.1 on Python 3.6.floydhub/tensorflowTensorFlow-2.0
TensorFlow 1.15tensorflow-1.15TensorFlow 1.15.0 + Keras 2.3.1 on Python 3.6.floydhub/tensorflowTensorFlow-1.15
TensorFlow 1.14tensorflow-1.14TensorFlow 1.14.0 + Keras 2.2.5 on Python 3.6.floydhub/tensorflowTensorFlow-1.14
TensorFlow 1.13tensorflow-1.13TensorFlow 1.13.0 + Keras 2.2.4 on Python 3.6.floydhub/tensorflowTensorFlow-1.13
TensorFlow 1.12tensorflow-1.12TensorFlow 1.12.0 + Keras 2.2.4 on Python 3.6.floydhub/tensorflowTensorFlow-1.12
 tensorflow-1.12:py2TensorFlow 1.12.0 + Keras 2.2.4 on Python 2.floydhub/tensorflow 
TensorFlow 1.11tensorflow-1.11TensorFlow 1.11.0 + Keras 2.2.4 on Python 3.6.floydhub/tensorflowTensorFlow-1.11
 tensorflow-1.11:py2TensorFlow 1.11.0 + Keras 2.2.4 on Python 2.floydhub/tensorflow 
TensorFlow 1.10tensorflow-1.10TensorFlow 1.10.0 + Keras 2.2.0 on Python 3.6.floydhub/tensorflowTensorFlow-1.10
 tensorflow-1.10:py2TensorFlow 1.10.0 + Keras 2.2.0 on Python 2.floydhub/tensorflow 
TensorFlow 1.9tensorflow-1.9TensorFlow 1.9.0 + Keras 2.2.0 on Python 3.6.floydhub/tensorflowTensorFlow-1.9
 tensorflow-1.9:py2TensorFlow 1.9.0 + Keras 2.2.0 on Python 2.floydhub/tensorflow 
TensorFlow 1.8tensorflow-1.8TensorFlow 1.8.0 + Keras 2.1.6 on Python 3.6.floydhub/tensorflowTensorFlow-1.8
 tensorflow-1.8:py2TensorFlow 1.8.0 + Keras 2.1.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.7tensorflow-1.7TensorFlow 1.7.0 + Keras 2.1.6 on Python 3.6.floydhub/tensorflowTensorFlow-1.7
 tensorflow-1.7:py2TensorFlow 1.7.0 + Keras 2.1.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.5tensorflow-1.5TensorFlow 1.5.0 + Keras 2.1.6 on Python 3.6.floydhub/tensorflowTensorFlow-1.5
 tensorflow-1.5:py2TensorFlow 1.5.0 + Keras 2.1.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.4tensorflow-1.4TensorFlow 1.4.0 + Keras 2.0.8 on Python 3.6.floydhub/tensorflow 
 tensorflow-1.4:py2TensorFlow 1.4.0 + Keras 2.0.8 on Python 2.floydhub/tensorflow 
TensorFlow 1.3tensorflow-1.3TensorFlow 1.3.0 + Keras 2.0.6 on Python 3.6.floydhub/tensorflow 
 tensorflow-1.3:py2TensorFlow 1.3.0 + Keras 2.0.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.2tensorflow-1.2TensorFlow 1.2.0 + Keras 2.0.6 on Python 3.5.floydhub/tensorflow 
 tensorflow-1.2:py2TensorFlow 1.2.0 + Keras 2.0.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.1tensorflowTensorFlow 1.1.0 + Keras 2.0.6 on Python 3.5.floydhub/tensorflow 
 tensorflow:py2TensorFlow 1.1.0 + Keras 2.0.6 on Python 2.floydhub/tensorflow 
TensorFlow 1.0tensorflow-1.0TensorFlow 1.0.0 + Keras 2.0.6 on Python 3.5.floydhub/tensorflow 
 tensorflow-1.0:py2TensorFlow 1.0.0 + Keras 2.0.6 on Python 2.floydhub/tensorflow 
TensorFlow 0.12tensorflow-0.12TensorFlow 0.12.1 + Keras 1.2.2 on Python 3.5.floydhub/tensorflow 
 tensorflow-0.12:py2TensorFlow 0.12.1 + Keras 1.2.2 on Python 2.floydhub/tensorflow 
PyTorch 1.5pytorch-1.5PyTorch 1.5.0 + fastai 1.0.61 on Python 3.7.floydhub/pytorchPyTorch-1.5
PyTorch 1.4pytorch-1.4PyTorch 1.4.0 + fastai 1.0.60 on Python 3.6.floydhub/pytorchPyTorch-1.4
PyTorch 1.3pytorch-1.3PyTorch 1.3.0 + fastai 1.0.60 on Python 3.6.floydhub/pytorchPyTorch-1.3
PyTorch 1.2pytorch-1.2PyTorch 1.2.0 + fastai 1.0.60 on Python 3.6.floydhub/pytorchPyTorch-1.2
PyTorch 1.1pytorch-1.1PyTorch 1.1.0 + fastai 1.0.57 on Python 3.6.floydhub/pytorchPyTorch-1.1
PyTorch 1.0pytorch-1.0PyTorch 1.0.0 + fastai 1.0.51 on Python 3.6.floydhub/pytorchPyTorch-1.0
 pytorch-1.0:py2PyTorch 1.0.0 on Python 2.floydhub/pytorch 
PyTorch 0.4pytorch-0.4PyTorch 0.4.1 on Python 3.6.floydhub/pytorchPyTorch-0.4
 pytorch-0.4:py2PyTorch 0.4.1 on Python 2.floydhub/pytorch 
PyTorch 0.3pytorch-0.3PyTorch 0.3.1 on Python 3.6.floydhub/pytorchPyTorch-0.3
 pytorch-0.3:py2PyTorch 0.3.1 on Python 2.floydhub/pytorch 
PyTorch 0.2pytorch-0.2PyTorch 0.2.0 on Python 3.5floydhub/pytorch 
 pytorch-0.2:py2PyTorch 0.2.0 on Python 2.floydhub/pytorch 
PyTorch 0.1pytorch-0.1PyTorch 0.1.12 on Python 3.floydhub/pytorch 
 pytorch-0.1:py2PyTorch 0.1.12 on Python 2.floydhub/pytorch 
Theano 0.9theano-0.9Theano rel-0.8.2 + Keras 2.0.3 on Python3.5.floydhub/theano 
 theano-0.9:py2Theano rel-0.8.2 + Keras 2.0.3 on Python2.floydhub/theano 
CaffecaffeCaffe rc4 on Python3.5.floydhub/caffe 
 caffe:py2Caffe rc4 on Python2.floydhub/caffe 
TorchtorchTorch 7 with Python 3 env.floydhub/torch 
 torch:py2Torch 7 with Python 2 env.floydhub/torch 
Chainer 1.23chainer-1.23Chainer 1.23.0 on Python 3.floydhub/chainer 
 chainer-1.23:py2Chainer 1.23.0 on Python 2.floydhub/chainer 
Chainer 2.0chainer-2.0Chainer 1.23.0 on Python 3.floydhub/chainer 
 chainer-2.0:py2Chainer 1.23.0 on Python 2.floydhub/chainer 
MxNet 1.0mxnetMxNet 1.0.0 on Python 3.6.floydhub/mxnet 
 mxnet:py2MxNet 1.0.0 on Python 2.floydhub/mxnet
已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 游动-白 设计师:白松林 返回首页